# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "bundler_ext"
  s.version = "0.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jason Guiditta"]
  s.date = "2014-03-14"
  s.description = "Simple library leveraging the Bundler Gemfile DSL to load gems already on the system and managed by the systems package manager (like yum/apt)"
  s.email = ["jguiditt@redhat.com"]
  s.files = ["lib/bundler_ext.rb", "lib/bundler_ext/setup.rb", "lib/bundler_ext/version.rb", "lib/bundler_ext/system.rb", "lib/bundler_ext/runtime.rb", "lib/bundler_ext/gemfile.rb", "lib/bundler_ext/output.rb", "README.md", "MIT-LICENSE", "Rakefile", "CHANGELOG", "spec/fixtures/Gemfile.in", "spec/spec_helper.rb", "spec/bundler_ext/system_spec.rb", "spec/bundler_ext/integration_spec.rb", "spec/bundler_ext/gemfile_spec.rb", "spec/bundler_ext/runtime_spec.rb", "spec/bundler_ext/bundler_ext_spec.rb", ".rspec"]
  s.homepage = "https://github.com/bundlerext/bundler_ext"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.requirements = ["Install the linux_admin gem and set BEXT_ACTIVATE_VERSIONS to true to activate rpm/deb installed gems"]
  s.rubygems_version = "1.8.23"
  s.summary = "Load system gems via Bundler DSL"
  s.test_files = ["spec/fixtures/Gemfile.in", "spec/spec_helper.rb", "spec/bundler_ext/system_spec.rb", "spec/bundler_ext/integration_spec.rb", "spec/bundler_ext/gemfile_spec.rb", "spec/bundler_ext/runtime_spec.rb", "spec/bundler_ext/bundler_ext_spec.rb", ".rspec"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<bundler>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 1.3.0"])
    else
      s.add_dependency(%q<bundler>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 1.3.0"])
    end
  else
    s.add_dependency(%q<bundler>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 1.3.0"])
  end
end
